TUGU PRATAMA INDONESIA (TPI) - Feature #1843

Pembuatan API
11/29/2022 12:15 PM - Moch Alinafia

Status: Closed Start date: 11/29/2022
Priority: Urgent Due date: 12/01/2022
Assignee: Moch Alinafia % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Mang wanto

tolong di bikin API untuk data data ini

- Personal Data (PHRPA0001 + PHRPAQ0012)
- Comuniccation data

- Assignment (PHRPA0002 + PHRPA0010)

- history

- History tarining (PHRPAQ0046)

tolong yah
makasih

History

#1 - 11/29/2022 02:20 PM - Kezia Pawitra Yulianti
- Due date set to 12/01/2022
- Status changed from New to Assigned

- Priority changed from Normal to Urgent

#2 - 11/30/2022 12:10 PM - Saswanto Tampan
- File Publish.7z added
- Status changed from Assigned to QA Test

- Assignee changed from Saswanto Tampan to Moch Alinafia

bikin SCHEMA baru di db

CREATE SCHEMA api;
GO

bikin store procedure

PROCEDURE [api].[GetEmpHistory]
PROCEDURE [api].[GetEmpDetail]

api menggunakan barrier token

POST urlapi/token

body

username = tpi@minovais.com

password = tpi123Aa@minova

grant_type = password

GET urlapi/api/employee/history?EmployeelD=00000493
HEADER

Authorization = (barrier token)
EmployeelD=00000493

#3 - 12/27/2022 04:07 PM - Muhammad Bintar
- Status changed from QA Test to Deploy
#4 - 11/19/2024 08:50 AM - Moch Alinafia
- Status changed from Deploy to Closed

Files

Publish.7z 21.7 MB 11/30/2022 Saswanto Tampan
